---
# [샘플] 파일 조작 유틸리티

property:
  workspace: /path/to/project

pipeline:
  id: main
  workflow:
  - exe: dir-create
  - exe: files-list
  - exe: file-rename

commands:
# 디렉토리 생성
- command: DirectoryCreate
  id: dir-create
  param:
    path: "<!property.workspace>/build/output/artifacts"

# 파일 목록 조회
- command: Files
  id: files-list
  param:
    path: "<!property.workspace>/build/output"
    recursive: true
    ignoreRegExs:
    - "\\.gitignore$"
    - "\\.DS_Store$"
    setFiles: <@property.fileList>

# 파일 이름 변경
- command: Rename
  id: file-rename
  param:
    renameMap:
      "<!property.workspace>/build/app-old.txt": "<!property.workspace>/build/app-new.txt"
